=== debian/control ===
Source: ros-dashing-autoware-auto-create-pkg
Section: misc
Priority: extra
Maintainer: Apex.AI, Inc. <opensource@apex.ai>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-dashing-ament-copyright, ros-dashing-ament-flake8, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-ament-pep257, ros-dashing-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-autoware-auto-create-pkg
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-dashing-ros-workspace
Description: A command line tool to create a boiler-plate package
